#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(objagg_obj_root_priv, 0x24ca5ca9, "");
SYMBOL_CRC(objagg_obj_delta_priv, 0x342aefe2, "");
SYMBOL_CRC(objagg_obj_raw, 0x0363233d, "");
SYMBOL_CRC(objagg_obj_get, 0xb17ab162, "");
SYMBOL_CRC(objagg_obj_put, 0x6691f29d, "");
SYMBOL_CRC(objagg_create, 0x14ee523e, "");
SYMBOL_CRC(objagg_destroy, 0x23865923, "");
SYMBOL_CRC(objagg_stats_get, 0xdaa3ee68, "");
SYMBOL_CRC(objagg_stats_put, 0xf5511527, "");
SYMBOL_CRC(objagg_hints_get, 0xfaa9d1a8, "");
SYMBOL_CRC(objagg_hints_put, 0x3c58e78f, "");
SYMBOL_CRC(objagg_hints_stats_get, 0x352633f4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf4517d5c, "perf_trace_run_bpf_submit" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x8625633c, "trace_event_buffer_reserve" },
	{ 0x794ea3e8, "trace_event_buffer_commit" },
	{ 0xbea43612, "__trace_trigger_soft_disabled" },
	{ 0xe2dcce21, "trace_raw_output_prep" },
	{ 0xe86c4c0e, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe72fdac0, "bpf_trace_run1" },
	{ 0x4fcc727f, "bpf_trace_run2" },
	{ 0xfc3bcc30, "bpf_trace_run3" },
	{ 0x614f2f83, "bpf_trace_run4" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c49eac8, "kmalloc_caches" },
	{ 0xfa667511, "kmalloc_trace" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x80a8e8e, "__cpu_online_mask" },
	{ 0x4629334c, "__preempt_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xffb7c514, "ida_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb7c0f443, "sort" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xdceb3072, "__gcov_init" },
	{ 0x84a4b45d, "__gcov_exit" },
	{ 0xbb29b267, "__gcov_merge_add" },
	{ 0x633fd9e, "trace_event_reg" },
	{ 0x517d88b7, "trace_event_raw_init" },
	{ 0x7eb536a4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7CA91FCBE3AEBE31A011F62");
